"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseTarget = void 0;
const parseTarget = (target) => {
    var _a;
    const parsedTarget = (_a = target.match(/^((.+)@)?(arn:aws:cloudformation:([a-z0-9-]*):[0-9]{12}:stack\/.+)$/)) !== null && _a !== void 0 ? _a : [];
    const profile = parsedTarget[2];
    const arn = parsedTarget[3];
    const region = parsedTarget[4];
    return { profile, arn, region };
};
exports.parseTarget = parseTarget;
//# sourceMappingURL=parseTarget.js.map