import { Config } from '@backstage/config';
import { LocationSpec } from '@backstage/plugin-catalog-backend';
import { CatalogProcessor, CatalogProcessorEmit } from '@backstage/plugin-catalog-backend';
import { CloudFormationProcessor } from '../CloudFormationProcessor';
export declare const LOCATION_TYPE = "aws:cloudformation:region";
export declare class CloudFormationRegionProcessor extends CloudFormationProcessor implements CatalogProcessor {
    constructor(config: Config);
    getProcessorName(): string;
    readLocation(location: LocationSpec, _optional: boolean, emit: CatalogProcessorEmit): Promise<boolean>;
}
//# sourceMappingURL=CloudFormationRegionProcessor.d.ts.map